[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetColor

Sets the value for the Color property.

## Declaration

Source position: controls.pp line 1517

`protected procedure TControl.SetColor(`
`Value: TColor`
`); virtual;`

## Arguments

`Value` |  | New value for the Color property.

## Description

SetColor is a method used to set the value for the Color property to the specified TColor value. Assigning a value to Color causes the ParentColor property to be set to False.

SetColor calls Perform to send a CM_COLORCHANGED control message to the widgetset class. Invalidate is called to force the control to be redrawn.

## See also

TControl.Color |  | The background color for the control.